import { BaseNode } from '../../base';
declare class EventNodeModel extends BaseNode.model {
    getOutlineStyle(): import("@logicflow/core").LogicFlow.OutlineTheme;
    getDefaultAnchor(): {
        x: number;
        y: number;
        id: string;
        type: string;
    }[];
    getNodeName(): any;
    getNodeAbstract(): {
        title: string;
        content: {
            desc: any;
            type: string;
        }[];
        showButton: boolean;
    };
    getNodeLogo(): any;
    getNodeClassName(): string;
}
declare const _default: {
    type: string;
    component: import('react').FC<import('@logicflow/react-node-registry').ReactNodeProps>;
    model: typeof EventNodeModel;
};
export default _default;
